#
# spec file for package nemo-extensions
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Do not package nemo-extension-media-columns for now: slows Nemo down.
# nemo-extension-terminal 'requires' two versions, confusing typelib finder.
%define __requires_exclude typelib\\((Vte))\ =
%define _version 3.6.0
Name:           nemo-extensions
Version:        3.6.0
Release:        lp150.1.6
Summary:        Set of extensions for Nemo, the Cinnamon file manager
License:        GPL-2.0 AND GPL-3.0 AND GPL-3.0+
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/nemo-extensions
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE nemo-seahorse_no-nautilus-conflicts.patch sor.alexei@meowr.ru -- Strip conflicted with nautilus-extension-seahorse files.
Patch0:         nemo-seahorse_no-nautilus-conflicts.patch
# PATCH-FIX-OPENSUSE nemo-dropbox_no-dropbox-bin.patch sor.alexei@meowr.ru -- Strip dropbox binary installation from nemo-dropbox.
Patch1:         nemo-dropbox_no-dropbox-bin.patch
# PATCH-FIX-OPENSUSE nemo-seahorse_gpg-2.2.patch sor.alexei@meowr.ru -- Add GPG 2.2 to accepted versions in nemo-seahorse.
Patch2:         nemo-seahorse_gpg-2.2.patch
# PATCH-FIX-OPENSUSE nemo-gtkhash_openssl-1.1.patch sor.alexei@meowr.ru -- Add basic OpenSSL 1.1+ compatibility in nemo-gtkhash.
Patch3:         nemo-gtkhash_openssl-1.1.patch
# PATCH-FIX-UPSTREAM nemo-preview_xreader-versioning.patch miketwebster@gmail.com -- Update versioning of xreader libs and introspection in nemo-preview (commit 52767dc).
Patch4:         nemo-preview_xreader-versioning.patch
BuildRequires:  gettext-runtime
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  libgcrypt-devel
BuildRequires:  libgpgme-devel
BuildRequires:  libtool
BuildRequires:  meld
BuildRequires:  mhash-devel
BuildRequires:  nemo-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  python-distutils-extra
BuildRequires:  python-docutils
BuildRequires:  python-gtk-devel
BuildRequires:  python-setuptools
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(cjs-1.0)
BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(cryptui-0.0)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(evince-view-3.0)
BuildRequires:  pkgconfig(gcr-3)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libmusicbrainz5)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(nettle)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(xreader-document-1.5)
BuildRequires:  pkgconfig(xreader-view-1.5)
%if 0%{?suse_version} > 1320 || (0%{?sle_version} >= 120100 && 0%{?is_opensuse})
BuildRequires:  mbedtls-devel
%endif

%description
Set of extensions for Nemo, the Cinnamon file manager.

%package -n python-nemo
Summary:        Python bindings for the Nemo File manager
License:        GPL-2.0
Group:          System/GUI/Other
Requires:       nemo >= %{_version}
Provides:       python-nemo-devel = %{version}
# nemo-python was last used in openSUSE 13.2.
Provides:       nemo-python = %{version}
Obsoletes:      nemo-python < %{version}

%description -n python-nemo
Includes Python bindings for the Nemo Filemanager.

%package -n nemo-extension-audio-tab
Summary:        Audio tag information for Nemo file manager
License:        GPL-3.0+
Group:          System/GUI/Other
Requires:       nemo >= %{_version}
Requires:       python-mutagen
Requires:       python-nemo = %{version}
Recommends:     %{name}-lang
BuildArch:      noarch

%description -n nemo-extension-audio-tab
View audio tag information from the file manager's properties tab.

%package -n nemo-extension-compare
Summary:        Context Menu comparison extension for Nemo file manager
License:        GPL-3.0+
Group:          System/GUI/Other
Requires:       meld
Requires:       nemo >= %{_version}
Requires:       python-gobject
Requires:       python-gtk
Requires:       python-nemo = %{version}
Requires:       python-xdg
Recommends:     %{name}-lang
# nemo-compare was last used in openSUSE 13.2.
Provides:       nemo-compare = %{version}
Obsoletes:      nemo-compare < %{version}
BuildArch:      noarch

%description -n nemo-extension-compare
Simple context menu file comparison extension for Nemo, inspired by
the discontinued 'diff-ext' extension. By default it uses 'meld' to
do the comparison and provides "Compare", "Compare to ~/foo/bar" and
"Compare Later" in Nemo context menu. Using the configurator tool
you can choose your favourite compare tool for one-on-one,
three-way and multi-compare situations.

%package -n nemo-extension-dropbox
Summary:        DropBox support for the Nemo Filemanager
License:        GPL-3.0+
Group:          System/GUI/Other
Requires:       dropbox
Requires:       nemo >= %{_version}
Supplements:    packageand(dropbox:nemo)
# nemo-dropbox was last used in openSUSE 13.2.
Provides:       nemo-dropbox = %{version}
Obsoletes:      nemo-dropbox < %{version}

%description -n nemo-extension-dropbox
Nemo-dropbox adds DropBox support to the Nemo filemanager.

%package -n nemo-extension-emblems
Summary:        Change a directory or file emblem in Nemo
License:        GPL-3.0
Group:          System/GUI/Other
Requires:       nemo >= %{_version}
Requires:       python-gobject
Recommends:     %{name}-lang
# nemo-emblems was last used in openSUSE 13.2.
Provides:       nemo-emblems = %{version}
Obsoletes:      nemo-emblems < %{version}
BuildArch:      noarch
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
Requires:       python-gobject-Gdk
%endif

%description -n nemo-extension-emblems
Change a directory or a file emblem in Nemo, the Cinnamon desktop
file manager.

%package -n nemo-extension-fileroller
Summary:        Fileroller support for the Nemo Filemanager
License:        GPL-3.0+
Group:          System/GUI/Other
Requires:       file-roller
Requires:       nemo >= %{_version}
Recommends:     %{name}-lang
Supplements:    packageand(nemo:file-roller)
# nemo-fileroller was last used in openSUSE 13.2.
Provides:       nemo-fileroller = %{version}
Obsoletes:      nemo-fileroller < %{version}

%description -n nemo-extension-fileroller
Nemo-fileroller adds File-roller support to the Nemo file manager.

%package -n nemo-extension-gtkhash
Summary:        Nemo extension for computing checksums and more using gtkhash
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       nemo >= %{_version}
Recommends:     %{name}-lang
# nemo-gtkhash was last used in openSUSE 13.2.
Obsoletes:      nemo-gtkhash < %{version}
Provides:       nemo-gtkhash = %{version}
%glib2_gsettings_schema_requires

%description -n nemo-extension-gtkhash
The GtkHash extension for nemo which allows users to compute
message digests or checksums using the mhash library.
Currently supported hash functions include MD5, MD6, SHA1, SHA256,
SHA512, RIPEMD, TIGER and WHIRLPOOL.

%package -n nemo-extension-image-converter
Summary:        Nemo extension to mass resize or rotate images
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       ImageMagick
Requires:       nemo >= %{_version}
Recommends:     %{name}-lang
# nemo-image-converter was last used in openSUSE 13.2.
Provides:       nemo-image-converter = %{version}
Obsoletes:      nemo-image-converter < %{version}

%description -n nemo-extension-image-converter
This package adds a "Resize Images..." menu item to the context
menu of all images. This opens a dialog where you set the desired
image size and file name. A click on "Resize" finally resizes the
image(s) using ImageMagick's convert tool.

%package -n nemo-extension-pastebin
Summary:        Pastebin extension for Nemo file manager
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       nemo >= %{_version}
Requires:       python-gobject
Requires:       python-xdg
Recommends:     %{name}-lang
# nemo-pastebin was last used in openSUSE 13.2.
Provides:       nemo-pastebin = %{version}
Obsoletes:      nemo-pastebin < %{version}
BuildArch:      noarch
%glib2_gsettings_schema_requires
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
Requires:       python-gobject-Gdk
%endif

%description -n nemo-extension-pastebin
nemo-pastebin is an extension for the Nemo file manager, which
allows users to send files to pastebins just a right-click away.

%package -n nemo-extension-preview
Summary:        A quick previewer for Nemo file manager
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       gstreamer-plugins-good
Requires:       nemo >= %{_version}
Recommends:     %{name}-lang
# nemo-preview was last used in openSUSE 13.2.
Provides:       nemo-extension-preview-devel = %{version}
Provides:       nemo-preview = %{version}
Obsoletes:      nemo-preview < %{version}

%description -n nemo-extension-preview
This is NemoPreview, a quick previewer for Nemo, the Cinnamon
desktop file manager.

%package -n nemo-extension-rabbitvcs
Summary:        RabbitVCS extension for Nemo file manager
License:        GPL-3.0+
Group:          System/GUI/Other
Requires:       dbus-1-python
Requires:       nemo >= %{_version}
Requires:       python-nemo = %{version}
Supplements:    packageand(nemo:rabbitvcs)
# nemo-rabbitvcs was last used in openSUSE 13.2.
Obsoletes:      nemo-rabbitvcs < %{version}
Provides:       nemo-rabbitvcs = %{version}
BuildArch:      noarch

%description -n nemo-extension-rabbitvcs
RabbitVCS extension for Nemo, the Cinnamon desktop file manager.

%package -n nemo-extension-repairer
Summary:        Nemo extension for filename encoding repair
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       nemo >= %{_version}
Recommends:     %{name}-lang
# nemo-repairer was last used in openSUSE 13.2.
Provides:       nemo-repairer = %{version}
Obsoletes:      nemo-repairer < %{version}

%description -n nemo-extension-repairer
This is a Nemo extension which repairs filename which uses wrong
encoding in Nemo. This extension provides the context menu for any
file whose filename uses wrong encoding, so that you cannot read the
filename in Nemo.

You can find a candidate for filename in context menu or submenu.
This extension also provides a decoded name for URL encoded filename.

%package -n nemo-extension-seahorse
Summary:        OpenPGP encryption/decryption extension for Nemo file manager
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       nautilus-extension-seahorse >= 3.0
Requires:       nemo >= %{_version}
Recommends:     %{name}-lang
Supplements:    packageand(nemo:seahorse)
# nemo-seahorse was last used in openSUSE 13.2.
Provides:       nemo-seahorse = %{version}
Obsoletes:      nemo-seahorse < %{version}

%description -n nemo-extension-seahorse
seahorse nemo is an extension for nemo which allows encryption
and decryption of OpenPGP files using GnuPG.

%package -n nemo-extension-share
Summary:        Samba share extension for Nemo file manager
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       nemo >= %{_version}
Recommends:     %{name}-lang
Recommends:     samba
Supplements:    packageand(nemo:samba)
# nemo-share was last used in openSUSE 13.2.
Provides:       nemo-share = %{version}
Obsoletes:      nemo-share < %{version}

%description -n nemo-extension-share
Nemo Share allows you to quickly share a folder from the Cinnamon
Nemo file manager without requiring root access.

%package -n nemo-extension-terminal
Summary:        Nemo extension to enable an embedded terminal
License:        GPL-3.0+
Group:          System/GUI/Other
Requires:       nemo >= %{_version}
Requires:       python-gobject
Requires:       python-nemo = %{version}
# nemo-terminal was last used in openSUSE 13.2.
Provides:       nemo-terminal = %{version}
Obsoletes:      nemo-terminal < %{version}
BuildArch:      noarch
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
Requires:       python-gobject-Gdk
%endif

%description -n nemo-extension-terminal
Nemo Terminal is an embedded terminal for Nemo, the Cinnamon file
manager. It embeds a terminal pane into Nemo that is accessible by
hotkey (default F4) and automatically follows the currently active
directory in Nemo.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
# Remove spurious executable permission.
chmod a-x nemo-audio-tab/COPYING.GPL3 nemo-emblems/COPYING.GPL3

%build
find . -type d -maxdepth 1 -mindepth 1 | while read dir; do
    pushd "$dir"
    [ -f autogen.sh ] && NOCONFIGURE=1 ./autogen.sh
    if [ -f configure ]; then
        %configure \
          --disable-static
    fi
    [ -f Makefile ] && make %{?_smp_mflags} V=1
    [ -f setup.py ] && ./setup.py build
    popd
done

# For nemo-extension-gtkhash.
pushd nemo-gtkhash
%configure \
  --disable-static      \
  --enable-linux-crypto \
  --enable-libcrypto    \
%if 0%{?suse_version} >= 1320 || (0%{?sle_version} >= 120100 && 0%{?is_opensuse})
  --enable-gcrypt       \
%else
  --disable-gcrypt      \
%endif
%if 0%{?suse_version} > 1320 || (0%{?sle_version} >= 120100 && 0%{?is_opensuse})
  --enable-mbedtls      \
%endif
  --enable-nettle       \
  --enable-nss          \
  --enable-mhash        \
  --enable-nemo
make %{?_smp_mflags} V=1
popd

%install
find . -type d -maxdepth 1 -mindepth 1 | while read dir; do
    pushd "$dir"
    if [ -f Makefile ]; then
        %make_install
    fi
    [ -f setup.py ] && ./setup.py install --root=%{buildroot} --prefix=%{_prefix}
    popd
done

# For python-nemo.
mkdir -p %{buildroot}%{_docdir}/
mv -f %{buildroot}%{_datadir}/doc/nemo-python/ %{buildroot}%{_docdir}/nemo-python/

# For nemo-extension-audio-tab.
install -Dpm 0644 nemo-audio-tab/nemo-extension/nemo-audio-tab.py \
  %{buildroot}%{_datadir}/nemo-python/extensions/nemo-audio-tab.py
install -Dpm 0755 nemo-audio-tab/nemo-extension/nemo-audio-tab.glade \
  %{buildroot}%{_datadir}/nemo-python/extensions/nemo-audio-tab.glade

# For nemo-extension-compare.
install -Dpm 0755 nemo-compare/src/nemo-compare.py \
  %{buildroot}%{_datadir}/nemo-compare/nemo-compare.py
install -Dpm 0755 nemo-compare/src/utils.py %{buildroot}%{_datadir}/nemo-compare/utils.py
install -Dpm 0755 nemo-compare/src/nemo-compare-preferences.py \
  %{buildroot}%{_datadir}/nemo-compare/nemo-compare-preferences.py
install -Dpm 0644 nemo-compare/debian/nemo-compare-preferences.1 \
  %{buildroot}%{_mandir}/man1/nemo-compare-preferences.1

mkdir -p %{buildroot}%{_bindir}/ %{buildroot}%{_datadir}/nemo-python/
ln -s %{_datadir}/nemo-compare/nemo-compare.py %{buildroot}%{_datadir}/nemo-python/extensions/nemo-compare.py
ln -s %{_datadir}/nemo-compare/nemo-compare-preferences.py %{buildroot}%{_bindir}/nemo-compare-preferences

# For nemo-extension-rabbitvcs.
install -Dpm 0644 nemo-rabbitvcs/RabbitVCS.py \
  %{buildroot}%{_datadir}/nemo-python/extensions/RabbitVCS.py

# For nemo-extension-terminal.
pushd nemo-terminal
mkdir -p %{buildroot}%{_datadir}/nemo-terminal/
install -Dpm 0755 src/nemo_terminal.py \
  %{buildroot}%{_datadir}/nemo-python/extensions/nemo_terminal.py
cp -a src/*.xml %{buildroot}%{_datadir}/glib-2.0/schemas/
cp -a pixmap/*.png %{buildroot}%{_datadir}/nemo-terminal/
popd

# Remove unused translations.
rm %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/nemo-*.mo

# Compile Python bytecode.
dirname $(find %{buildroot}%{_datadir}/ -type f -name '*.py') | sort -u | while read dir; do
    %py_compile .
done

find %{buildroot} -type f -name "*.la" -delete -print

%post -n python-nemo -p /sbin/ldconfig

%postun -n python-nemo -p /sbin/ldconfig

%post -n nemo-extension-dropbox -p /sbin/ldconfig

%postun -n nemo-extension-dropbox -p /sbin/ldconfig

%post -n nemo-extension-fileroller -p /sbin/ldconfig

%postun -n nemo-extension-fileroller -p /sbin/ldconfig

%post -n nemo-extension-image-converter -p /sbin/ldconfig

%postun -n nemo-extension-image-converter -p /sbin/ldconfig

%post -n nemo-extension-preview -p /sbin/ldconfig

%postun -n nemo-extension-preview -p /sbin/ldconfig

%post -n nemo-extension-seahorse -p /sbin/ldconfig

%postun -n nemo-extension-seahorse -p /sbin/ldconfig

%post -n nemo-extension-repairer -p /sbin/ldconfig

%postun -n nemo-extension-repairer -p /sbin/ldconfig

%post -n nemo-extension-share -p /sbin/ldconfig

%postun -n nemo-extension-share -p /sbin/ldconfig

%if 0%{?suse_version} <= 1320
%post -n nemo-extension-gtkhash
/sbin/ldconfig
%glib2_gsettings_schema_post

%postun -n nemo-extension-gtkhash
/sbin/ldconfig
%glib2_gsettings_schema_postun

%post -n nemo-extension-pastebin
%glib2_gsettings_schema_post

%postun -n nemo-extension-pastebin
%glib2_gsettings_schema_postun

%post -n nemo-extension-terminal
%glib2_gsettings_schema_post

%postun -n nemo-extension-terminal
%glib2_gsettings_schema_postun
%endif

%files -n python-nemo
%doc nemo-python/AUTHORS nemo-python/COPYING nemo-python/debian/changelog
%doc %{_docdir}/nemo-python/
%{_libdir}/nemo/extensions-3.0/libnemo-python.so
%{_libdir}/pkgconfig/nemo-python.pc
%dir %{_datadir}/nemo-python/
%dir %{_datadir}/nemo-python/extensions/

%files -n nemo-extension-audio-tab
%doc nemo-audio-tab/COPYING* nemo-audio-tab/debian/changelog
%{_datadir}/nemo-python/extensions/nemo-audio-tab.*
%{python_sitelib}/nemo_audio_tab-*

%files -n nemo-extension-compare
%doc nemo-compare/nemo-compare/COPYING* nemo-compare/debian/changelog
%{_bindir}/nemo-compare-preferences
%{_datadir}/nemo-compare/
%{_datadir}/nemo-python/extensions/nemo-compare.py
%{_mandir}/man1/nemo-compare-preferences.1%{?ext_man}

%files -n nemo-extension-dropbox
%doc nemo-dropbox/AUTHORS nemo-dropbox/COPYING nemo-dropbox/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-dropbox.so

%files -n nemo-extension-emblems
%doc nemo-emblems/COPYING* nemo-emblems/debian/changelog
%{_datadir}/nemo-python/extensions/nemo-emblems.py
%{python_sitelib}/nemo_emblems-*

%files -n nemo-extension-fileroller
%doc nemo-fileroller/COPYING nemo-fileroller/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-fileroller.so

%files -n nemo-extension-gtkhash
%doc nemo-gtkhash/AUTHORS nemo-gtkhash/COPYING nemo-gtkhash/debian/changelog
%{_bindir}/gtkhash
%{_libdir}/nemo/extensions-3.0/libgtkhash-properties.so
%{_datadir}/nemo-gtkhash/
%{_datadir}/glib-2.0/schemas/*gtkhash*.gschema.xml

%files -n nemo-extension-image-converter
%doc nemo-image-converter/AUTHORS nemo-image-converter/COPYING nemo-image-converter/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-image-converter.so
%{_datadir}/nemo-image-converter/

%files -n nemo-extension-pastebin
%doc nemo-pastebin/COPYING nemo-pastebin/debian/changelog
%{_bindir}/nemo-pastebin.py
%{_bindir}/nemo-pastebin-configurator.py
%{_datadir}/nemo-pastebin/
%{python_sitelib}/nemo_pastebin-*
%{_datadir}/pixmaps/nemo-pastebin.*
%{_datadir}/glib-2.0/schemas/nemo-pastebin.gschema.xml

%files -n nemo-extension-preview
%doc nemo-preview/AUTHORS nemo-preview/COPYING nemo-preview/debian/changelog
%{_bindir}/nemo-preview
%{_libexecdir}/nemo-preview-start
%{_libdir}/nemo-preview/
%{_datadir}/nemo-preview/
%{_datadir}/dbus-1/services/org.nemo.Preview.service

%files -n nemo-extension-rabbitvcs
%doc nemo-rabbitvcs/AUTHORS nemo-rabbitvcs/COPYING nemo-rabbitvcs/debian/changelog
%{_datadir}/nemo-python/extensions/RabbitVCS.py

%files -n nemo-extension-repairer
%doc nemo-repairer/AUTHORS nemo-repairer/COPYING nemo-repairer/COPYING nemo-repairer/README
%{_bindir}/nemo-filename-repairer
%{_libdir}/nemo/extensions-3.0/libnemo-filename-repairer.so
%{_datadir}/nemo-filename-repairer/

%files -n nemo-extension-seahorse
%doc nemo-seahorse/COPYING nemo-seahorse/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-seahorse.so

%files -n nemo-extension-share
%doc nemo-share/AUTHORS nemo-share/COPYING nemo-share/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-share.so
%{_datadir}/nemo-share/
%{_datadir}/polkit-1/actions/org.nemo.share.samba_install.policy

%files -n nemo-extension-terminal
%doc nemo-terminal/AUTHORS nemo-terminal/COPYING nemo-terminal/debian/changelog
%{_datadir}/nemo-terminal/
%{_datadir}/nemo-python/extensions/nemo_terminal.py
%{_datadir}/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml

%changelog
* Fri Dec 29 2017 sor.alexei@meowr.ru
- Update pkgconfig's xreader version for 1.6.2+.
- Add nemo-preview_xreader-versioning.patch: update versioning of
  xreader libs and introspection in nemo-preview (commit 52767dc).
* Tue Dec  5 2017 cfarrell@suse.com
- Add nemo-gtkhash_openssl-1.1.patch: Add basic OpenSSL 1.1+
  compatibility in Nemo-GtkHash.
* Sat Oct 28 2017 sor.alexei@meowr.ru
- Update to version 3.6.0 (changes since 3.4.0):
  * nemo-preview: Don't ship another copy of format.js.
  * nemo-dropbox: Fix an error in the Makefile.
  * nemo-preview: Specify GObject Introspection versions.
  * nemo-preview: Fix schema_name not defined and switch to xed.
  * nemo-rabbitvcs: Specify nemo import version.
  * Fix nemo-seahorse - update tool from upstream, rename files and
    schemas to allow concurrent installation with seahorse-nautilus,
    move gsettings schemas to org.nemo.plugins.seahorse.*
  * nemo-share: Detect and fix samba and group membership problem
    when attempting to modify file sharing properties.
  * image: Add support for GIF animations.
  * nemo-preview: port to xreader.
  * nemo-compare, nemo-pastebin: Remove menu entry for config tool,
    provide the launcher through Nemo.
  * nemo-media-columns: Provide file info asynchronously.
  * nemo-media-columns: Cache info and serve it synchronously when
    possible.
  * nemo-media-columns: Delete file info after 30 sec.
  * Simplify nemo-media-columns to behave as expected by the fixed
    nemo info provider apparatus.
  * nemo-python: nemo-python-object.c: We must expect a return
    value from PyObject_CallMethod() or else it silently fails
    against the provider object and cancel_update never gets
    called.
  * media columns: Don't use the handle for idle id storage, use
    the class.
  * Fix the post-samba-install message for nemo-share - smbd will
    not start on just a logout-in.
  * nemo-gtkhash: Add mbed TLS 2.x support.
  * Move translations to cinnamon-translations.
- Rebase nemo-dropbox_no-dropbox-bin.patch.
- Remove nemo-gtkhash_mbedtls-2.x.patch: merged upstream.
* Sun Sep 10 2017 sor.alexei@meowr.ru
- Add nemo-seahorse_gpg-2.2.patch: Add GPG 2.2 to accepted versions
  in nemo-seahorse.
* Sun May  7 2017 sor.alexei@meowr.ru
- Update to version 3.4.0 (changes since 3.2.0):
  * Rename configure.in to configure.ac.
  * nemo-fileroller: Use a triplet-prefixed pkg-config for cross
    compilation.
  * nemo-compare, nemo-emblems: Fix some errors.
  * nemo-audio-tab, nemo-fileroller, nemo-media-columns,
    nemo-pastebin, nemo-rabbitvcs, nemo-terminal: Remove _ from
    get_name_and_desc.
  * nemo-emblems: Don't change the mtime when changing a file's
    emblems.
  * nemo-preview: Fix some GTK+ warnings.
  * nemo-preview: Fix assignment to undeclared variables warning.
  * Update translations.
* Tue Nov  8 2016 sor.alexei@meowr.ru
- Update to version 3.2.0 (changes since 3.0.0):
  * seahorse: Allow building with gnupg 2.1
    (gh#linuxmint/nemo-extensions#159).
  * emblems: Fix a wrong version in setup.py
  * nemo-terminal: Add VTE 2.91 support.
  * nemo-preview: Fix a deadlock when closing the window, change
    the key.
  * nemo-preview, image.js: Apply embedded orientation if it exists.
  * nemo-preview: Port to ClutterGst 3.0 (restores video playback).
  * image-converter: Add more resize sizes.
  * nemo-terminal: Clear 'cd' line after changing directory.
  * Add support for Nemo's plugin manager.
  * nemo-pastebin: Add gi.require_version().
  * nemo-preview, mainWindow.js: move to current desktop before
    setting a transient parent.
  * nemo-preview, audio: Fix missing import.
  * nemo-preview: Fix EXIF rotation.
  * nemo-preview: Fix invalid CSS values
    (gh#linuxmint/nemo-extensions#189).
  * Update translations.
- Remove nemo-seahorse_gpg-2.1.patch, nemo-terminal_vte-2.91.patch:
  fixed upstream.
* Wed Oct  5 2016 sor.alexei@meowr.ru
- Add nemo-gtkhash_mbedtls-2.x.patch: Add mbed TLS 2.x+ support.
- Enable gcrypt in nemo-gtkhash for openSUSE Leap 42.x.
- Separate locales into nemo-extension-compare-lang,
  nemo-extension-emblems-lang, nemo-extension-gtkhash-lang,
  nemo-extension-image-converter-lang, nemo-extension-preview-lang,
  nemo-extension-pastebin-lang, nemo-extension-repairer-lang,
  nemo-extension-seahorse-lang, nemo-extension-share-lang.
* Wed May  4 2016 sor.alexei@meowr.ru
- nemo-extension-{emblems,pastebin,terminal}: add a missing
  python-gobject-Gdk dependency.
* Mon Apr 25 2016 sor.alexei@meowr.ru
- Update to version 3.0.0 (changes since 2.8.0):
  * nemo-share: Purge useless samba auto-installation code.
  * nemo-terminal: Change default shell from bash to user's shell.
  * nemo-terminal: Change key event from release to press.
  * nemo-compare, nemo-emblems, nemo-share: Update translations.
* Thu Jan 14 2016 sor.alexei@meowr.ru
- Remove nemo-extension-media-columns package completely:
  extension slows Nemo down considerably, both with and without
  nemo-media-columns_use-exiftool.patch.
* Sun Dec 13 2015 sor.alexei@meowr.ru
- Add nemo-media-columns_use-exiftool.patch: use exiftool as exiv2
  shows some instability under nemo-python (boo#958867).
- Add nemo-seahorse_no-nautilus-conflicts.patch: do not install
  files that conflict with nautilus-extension-seahorse.
- nemo-extension-media-columns to depend on exiftool instead of
  python-pyexiv2.
- nemo-extension-seahorse to depend on nautilus-extension-seahorse.
- Fix srcpackage licence to "GPL-2.0 and GPL-3.0 and GPL-3.0+".
* Wed Oct 21 2015 sor.alexei@meowr.ru
- Update to 2.8.0.
- Build and install sections generalisation.
- Rename every extension package from nemo-foo to nemo-extension-foo.
- Add nemo-extension-audio-tab package.
- Remove nemo-extensions metapackage.
- Add nemo-dropbox_no-dropbox-bin.patch: strip dropbox binary
  installation, and make nemo-extension-dropbox depend on dropbox.
- Add nemo-terminal_vte-2.91.patch.
- Use pygobject-3.0 instead of pygobject-2.0.
- Generate Python bytecode.
* Tue Jun  2 2015 stefan@fam-elser.de
- update to version 2.6.0
- Added patch for newer gpg versions than 2.0
* Wed Nov  5 2014 i@marguerite.su
- update version 2.4.0
  * add new extensions: emblems, gtkhash, image-converter
    repairer, terminal
* Tue Nov 26 2013 johann.luce@wanadoo.fr
- add nemo-dropbox and nemo-preview in 2.0.1 version
* Mon Oct 28 2013 i@marguerite.su
- initial version 2.0.0
  * a meta package
